## GODataScalar

GODataScalar

## Synopsis

                        GODataScalar;
                        GODataScalarVal;
                        GODataScalarStr;

    double              go_data_scalar_get_value            (GODataScalar *val);
    charconst *         go_data_scalar_get_str              (GODataScalar *val);

    GOData*             go_data_scalar_val_new              (double val);

    GOData*             go_data_scalar_str_new              (char const *text,
                                                             gboolean needs_free);
    void                go_data_scalar_str_set_str          (GODataScalarStr *str,
                                                             char const *text,
                                                             gboolean needs_free);

## Object Hierarchy

      GObject
       +----GOData
             +----GODataScalar
                   +----GODataScalarStr
                   +----GODataScalarVal

      GObject
       +----GOData
             +----GODataScalar
                   +----GODataScalarVal

      GObject
       +----GOData
             +----GODataScalar
                   +----GODataScalarStr

## Description

## Details

### GODataScalar

    typedef struct _GODataScalar GODataScalar;

### GODataScalarVal

    typedef struct _GODataScalarVal GODataScalarVal;

### GODataScalarStr

    typedef struct _GODataScalarStr GODataScalarStr;

### go_data_scalar_get_value ()

    double              go_data_scalar_get_value            (GODataScalar *val);

`val` : |
Returns : |

### go_data_scalar_get_str ()

    charconst *         go_data_scalar_get_str              (GODataScalar *val);

`val` : |
Returns : |

### go_data_scalar_val_new ()

    GOData*             go_data_scalar_val_new              (double val);

`val` : |
Returns : |

### go_data_scalar_str_new ()

    GOData*             go_data_scalar_str_new              (char const *text,
                                                             gboolean needs_free);

`text` : |
`needs_free` : |
Returns : |

### go_data_scalar_str_set_str ()

    void                go_data_scalar_str_set_str          (GODataScalarStr *str,
                                                             char const *text,
                                                             gboolean needs_free);

`str` : |
`text` : |
`needs_free` : |